v5.0

get

/ec-dataintegration-svc/rest/v5.0/studies/{studyId}/{mode}/subjects/dateRange/{subjectId}

Retrieves the events for a specific subject within a specified date range. In addition to v4 fields, the response now includes enrollmentDate.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    3F2504E04F8911D39A0C0305E82C3301
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    3F2504E04F8911D39A0C0305E82C3301
Query Parameters
  • The ending date and time (optional) for which you want to get events. If you don't specify the time, the date range stops before midnight (23:59:59 UTC) for the specified date. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, dd-MMM-yyyy HH:mm, or dd-MMM-yyyy.
    Example:
    26-Oct-2023 14:30:15.123
  • The starting date and time (optional) for which you want to get events. If you don't specify the time, the date range begins after midnight (UTC) for the specified date. The accepted date and time formats are: dd-MMM-yyyy HH:mm:ss.SSS, dd-MMM-yyyy HH:mm:ss, dd-MMM-yyyy HH:mm, or dd-MMM-yyyy.
    Example:
    25-Oct-2023 14:30:15.123

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Subjects success.
Body ()
Root Schema : schema
Type: array
Show Source
Nested Schema : SubjectRespDto16
Type: object
Subject response details including enrollment date and all inherited subject properties
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : RestResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Show Source
Nested Schema : result
Type: object
Nested Schema : details
Type: object
Back to Top